

#include "gamestates.h"
#include "globals.h"
#include "button.h"

int gsAbout::logic() {
    if (bBack->logic(mX, mY, mouseState) == B_CLICK) {
        gameMan->setNextState(STATE_MENU);
    }

    return 0;
}

int gsAbout::render() {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format, 255, 255, 255));

    bBack->render();

    SDL_Flip(screen);

    return 0;
}

gsAbout::gsAbout() {
    bBack = new cButton("Back", 20, 400, true, fNormal, B_VISIBLE, B_STANDARD);
}

gsAbout::~gsAbout() {
    delete bBack;
}
