

#include "button.h"
#include "gamestates.h"
#include "globals.h"
#include "functions.h"

int gsAbout::logic() {
    if (bBack->logic(mX, mY, mouseState) == B_CLICK) {
        gameMan->setNextState(STATE_MENU);
    }

    return 0;
}

int gsAbout::render() {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format, 255, 255, 255));

    applySurface(over, screen, 0, 0);

    bBack->render();

    SDL_Flip(screen);

    return 0;
}

gsAbout::gsAbout() {
    bBack = new cButton("Terug", 10, 508, false, fNormal, B_VISIBLE, B_STANDARD);

    over = loadImage("Media/over.png");
}

gsAbout::~gsAbout() {
    delete bBack;

    SDL_FreeSurface(over);
}
