#include <SDL/SDL.h>

#ifndef GAMESTATE_H
#define GAMESTATE_H

enum GameStates {
    STATE_NULL,
    STATE_INTRO,
    STATE_MENU,
    STATE_PARAMS,
    STATE_MAZE,
    STATE_HOWTO,
    STATE_ABOUT,
    STATE_EXIT
};

class cGameState {
public:
    virtual int input(); // Ligt grotendeels vast maar kan als nodig veranderd worden. haalt input binnen (muis enzo, toetsenbord) want dat moet toch elke loop gebeuren
    virtual int logic() = 0; // Hier gebeurd de magie
    virtual int render() = 0; // Weergeven van die shit

    virtual ~cGameState(){};

protected:
    int mX, mY;
    Uint8* keyState;
    Uint8 mouseState;
} ;
/*
class gsNullState : public cGameState {
public:
    int logic();
    int render();
} ;
*/
class cGameMan {
private:
    ~cGameMan();

    // cGameState* nextStateC;
    int nextState;
    int stateID;

    // gsNullState* nullState;

public:
    // cGameMan(cGameState* startState);
    cGameMan(int startState);

    cGameState* currState;

    // int setNextState(cGameState* targetState);
    int setNextState(int targetState);
    int getState();
    int changeState();

    int* params;
} ;

#endif
